Name: icebreaker
Version: 1.9.5
Release: alt1
License: GPL
Serial: 1

Group: Games/Arcade
Summary: An addictive action-puzzle game involving bouncing penguins

Source: %name-%version.tar.bz2
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm
Patch: icebreaker-makefile.patch

Url: http://www.mattdm.org/icebreaker/
Prefix: %prefix

# Automatically added by buildreq on Tue Feb 04 2003
#BuildRequires: XFree86-libs aalib esound libSDL-devel libSDL_mixer-devel libalsa2 libarts libaudiofile libogg libslang libsmpeg libvorbis

BuildRequires: XFree86-libs aalib esound libSDL-devel libSDL_mixer-devel
BuildRequires: libalsa2 libarts libaudiofile libogg libslang libsmpeg libvorbis

%description
So, uh, there's a bunch of penguins on an iceberg in Antarctica. You have
been selected to catch them so they can be shipped to Finland, where they
are essential to a secret plot for world domination.

%prep
%setup -q
%patch -p1

%build
%define _optlevel 3
%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath
%make_build OPTIMIZE="$RPM_OPT_FLAGS -finline-functions" prefix=%prefix highscoredir=%_localstatedir/games

%install
mkdir -p %buildroot/%_gamesbindir
mkdir -p %buildroot/%_gamesdatadir/icebreaker
mkdir -p %buildroot/%_localstatedir/games
install -m 755 icebreaker %buildroot/%_gamesbindir/icebreaker
install -m 644 *.wav *.bmp *.ibt %buildroot/%_gamesdatadir/icebreaker
touch %buildroot/%_localstatedir/games/icebreaker.scores

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%_gamesbindir/icebreaker" \
		  icon="icebreaker.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="IceBreaker" \
		  longtitle="Action-puzzle game involving bouncing penguins"
EOF
mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc README TODO LICENSE ChangeLog
%attr(2711,root,games) %_gamesbindir/icebreaker
%_gamesdatadir/icebreaker
%attr(664, games, games) %_localstatedir/games/icebreaker.scores
%_menudir/icebreaker
%_miconsdir/icebreaker.xpm
%_iconsdir/icebreaker.xpm
%_liconsdir/icebreaker.xpm

%changelog
* Tue Feb 04 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.5-alt1
- new version

* Mon Oct 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.2.1-alt5
- rebuild with gcc3.2

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.2.1-alt4
- fix binary permissions

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt3
- fix icons

* Wed Sep 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt2
- new version

* Fri Aug 17 2001 Stanislav Ievlev <inger@altlinux.ru> 1.09-alt2
- Rebuilt with new SDL.

* Fri Jul 27 2001 Sergey V Turchin <zerg@altlinux.ru> 1.09-alt1
- new version

* Thu Jul 05 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1
- build for ALT

* Fri May 18 2001 Franois Pons <fpons@mandrakesoft.com> 1.0-4mdk
- update to use libSDL 1.2.

* Tue Dec 19 2000 Franois Pons <fpons@mandrakesoft.com> 1.0-3mdk
- updated build requires with new library name.

* Wed Nov 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-2mdk
- BuildRequires: SDL_mixer-devel
- Fix %%postun

* Fri Oct 27 2000 Franois Pons <fpons@mandrakesoft.com> 1.0-1mdk
- added menu entries.
- initial release.

* Thu Oct 5 2000 Matthew Miller <mattdm@mattdm.org>
- looks good to me. one-point-oh

* Tue Oct 3 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.995
- better make process

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.99 :)

* Mon Oct 2 2000 Matthew Miller <mattdm@mattdm.org>
- updated to 0.98

* Fri Sep 15 2000 Matthew Miller <mattdm@mattdm.org>
- first package
